
QGIS Application - Bug report #18303

Raster Calculator "Output Layer" opens, rather than saves
Status: Closed

Priority: Normal

Assignee:

Category: Raster Calculator

Affected QGIS version:3.1(master) Regression?: Yes

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 26194

Description

I'm using the current Nightly build of QGIS 3.1.0 (a483ef817a).

When using the Raster Calculator I've run into an issue.

When trying to set the output layer, it opens the "open file" dialog box, rather than the "save file" box.

(Video of issue in action: https://youtu.be/L4fYpHf4kBc)

Using Windows 10.

Same issue whether there is an expression used or not.

If you type the path and name in yourself, it works, but doesn't allow you to use the file browser to save it.

Associated revisions

Revision b5d9e7a7 - 2018-03-02 03:44 AM - Nyall Dawson

Fix raster calc dialog uses an open file dialog instead of save dialog

Fixes #18303

Revision 0246cd67 - 2018-03-06 02:20 AM - Nyall Dawson

Fix raster calc dialog uses an open file dialog instead of save dialog

Fixes #18303

(cherry-picked from b5d9e7)

History

#1 - 2018-03-01 11:44 PM - Nyall Dawson

- Status changed from Open to In Progress

#2 - 2018-03-02 03:44 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|b5d9e7a7cf8f4b7c517261a6668463323e442071.
#3 - 2018-03-02 09:03 AM - Giovanni Manghi

- Resolution set to fixed/implemented

2024-04-27 2/2


